# Installation
> `npm install --save @types/jquery-lazyload`

# Summary
This package contains type definitions for jquery-lazyload (https://github.com/tuupola/jquery_lazyload).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-lazyload.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-lazyload/index.d.ts)
````ts
/// <reference types="jquery" />

declare namespace JQueryLazyLoad {
    interface Options {
        threshold?: number | undefined;
        failure_limit?: number | undefined;
        event?: string | undefined;
        effect?: string | undefined;
        container?: JQuery | undefined;
        data_attribute?: string | undefined;
        skip_invisible?: boolean | undefined;
        appear?: ((elementsLeft: number, options: Options) => void) | null | undefined;
        load?: ((elementsLeft?: number, options?: Options) => void) | undefined;
        placeholder?: string | undefined;
    }
}
interface JQuery {
    lazyload(options?: JQueryLazyLoad.Options): JQuery;
    on(event: "load", callback: (options?: JQueryLazyLoad.Options) => void): JQuery;
}

````

### Additional Details
 * Last updated: Wed, 18 Oct 2023 05:47:07 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery)

# Credits
These definitions were written by [Anderson Friaça](https://github.com/AndersonFriaca).
